Bug 1262104 - [RFE] Configure Ceph RGW as Cinder Backup target in RHEL-OSP director
Summary: [RFE] Configure Ceph RGW as Cinder Backup target in RHEL-OSP director
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Keith Schincke
QA Contact: Yogev Rabl
URL:
Whiteboard:
Depends On: 1262106 1309460 1404199
Blocks: 1387471 1412014
TreeView+ depends on / blocked
 
Reported: 2015-09-10 19:54 UTC by Sean Cohen
Modified: 2017-08-15 19:33 UTC (History)
13 users (show)

Fixed In Version: puppet-tripleo-5.0.0-0.20160907223204.488fb91.el7ost
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1387471 (view as bug list)
Environment:
Last Closed: 2016-12-14 15:15:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 311218 None None None 2016-09-07 21:38:58 UTC
Red Hat Bugzilla 1481819 None None None Never

Internal Links: 1481819

Description Sean Cohen 2015-09-10 19:54:11 UTC
Allow backup of Cinder volumes to a Ceph object store in RHEL-OSP direc

Comment 5 Mike Burns 2016-04-07 20:50:54 UTC
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

Comment 7 Keith Schincke 2016-09-08 00:49:07 UTC
I think the BZ is possible once the RGW patch (0) is merged.

puppet-tripleo (1) and puppet-cinder (2) supports configuring Ceph backups to use swift.


0: https://review.openstack.org/#/c/289027/
1: https://github.com/openstack/puppet-tripleo/blob/master/manifests/profile/base/cinder/backup/swift.pp
2: https://github.com/openstack/puppet-cinder/blob/master/manifests/backup/swift.pp

Comment 8 Giulio Fidente 2016-09-14 15:32:56 UTC
We can enable cinder-backup in OSPd10 deploying with:

  -e environments/cinder-backup.yaml

it defaults to the swift backend, we need to test if by deploying rgw as a drop-in replacement for swift, cinder-backup works as expected.

Comment 9 Keith Schincke 2016-09-21 20:04:23 UTC
With the merging of (1), this should be ready for testing in the next puddle. 

1) https://review.openstack.org/#/c/289027/

Comment 10 Keith Schincke 2016-09-27 00:41:53 UTC
I have used the upstream bits and have verified Cinder backup working working with Ceph RGW providing object storage services.

This should be verified and (if successful) closed when the next stable puddle is available.

Comment 14 Yogev Rabl 2016-11-14 01:44:04 UTC
Verified on puppet-tripleo-5.3.0-7.el7ost.noarch

with the following environment file:
resource_registry:
  OS::TripleO::Services::CephMon: ../puppet/services/ceph-mon.yaml
  OS::TripleO::Services::CephOSD: ../puppet/services/ceph-osd.yaml
  OS::TripleO::Services::CephClient: ../puppet/services/ceph-client.yaml
  OS::TripleO::Services::CephRgw: ../puppet/services/ceph-rgw.yaml
  OS::TripleO::Services::SwiftProxy: OS::Heat::None
  OS::TripleO::Services::SwiftStorage: OS::Heat::None
  OS::TripleO::Services::SwiftRingBuilder: OS::Heat::None


parameter_defaults:
  CinderEnableIscsiBackend: false
  CinderEnableRbdBackend: true
  CinderBackupBackend: swift
  NovaEnableRbdBackend: true
  GlanceBackend: swift
  GnocchiBackend: rbd
  CephPools:
    volumes:
      size: 3
      pg_num: 128
      pgp_num: 128
    vms:
      size: 1
      pg_num: 128
      pgp_num: 128
    images:
      size: 5
      pg_num: 128
      pgp_num: 128
    metrics:
      size: 1
      pg_num: 128
      pgp_num: 128

  ExtraConfig:
    ceph::profile::params::osds:
      '/dev/vdb':
         journal: '/dev/vdf1'
      '/dev/vdc':
         journal: '/dev/vdf2'
      '/dev/vdd':
         journal: '/dev/vdf3'
      '/dev/vde':
         journal: '/dev/vdf4'
    ceph::profile::params::osd_max_object_name_len: 256
    ceph::profile::params::osd_max_object_namespace_len: 64

Comment 16 errata-xmlrpc 2016-12-14 15:15:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.